/**
 * @file
 * Contains JavaScript used to integrate monside.
 */

(function ($, Drupal, drupalSettings) {

  'use strict';

  Drupal.behaviors.monsido_behavior = {
    attach: function (context, settings) {
      var monsidoToken = drupalSettings.monsidotoken;
      window._monsido = window._monsido || {
        token: monsidoToken,
        statistics: {
          enabled: true,
          documentTracking: {
            enabled: false,
            documentCls: "monsido_download",
            documentIgnoreCls: "monsido_ignore_download",
            documentExt: ["pdf","doc","ppt","docx","pptx"],
          },
        },
        pageAssist: {
          enabled: true,
          theme: "white",
          direction: "right",
          skipTo: true,
        },
      };
    }
  }
})(jQuery, Drupal, drupalSettings);

