<?php

namespace Drupal\monsido_tools\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure example settings for this site.
 */
class MonsidoSettingsForm extends ConfigFormBase {

  /**
   * Config settings.
   *
   * @var string
   */
  const SETTINGS = 'monsido_tools.settings';

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'monsido_tools_admin_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      static::SETTINGS,
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config(static::SETTINGS);

    $form['monsido_token'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Monsido Token'),
      '#default_value' => $config->get('monsido_token'),
      '#required' => TRUE,
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    // Retrieve the configuration.
    $this->configFactory->getEditable(static::SETTINGS)
      // Set the submitted configuration setting.
      ->set('monsido_token', $form_state->getValue('monsido_token'))
      ->save();

    parent::submitForm($form, $form_state);
  }

}
